# Method: accounts.listings.verify

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.request_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.response_body)
  - [JSON representation](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.VerifyListingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#body.aspect)

Returns verified listings with data issues and serving eligibilities for VR partners only.

### HTTP request

`POST https://travelpartner.googleapis.com/v3/{parent=accounts/*}/listings:verify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The resource name of the account being queried. The format is `accounts/{account_id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "xmlListing": string } ``` |

| Fields ||
|---|---|
| `xmlListing` | `string` A listing that follows the XML format specified in <https://developers.google.com/hotels/hotel-prices/xml-reference/hotel-list-feed>. |

### Response body

Response message for `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings/verify#google.travel.travelpartner.v3.VRPartnerListingVerificationService.VerifyPartnerListings`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "parsedListing": { object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings#ParsedListing`) } } ``` |

| Fields ||
|---|---|
| `parsedListing` | ``object (`https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.listings#ParsedListing`)`` The parsed listing output. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).